Get Source
curl --request GET \
--url https://api-prod.voltai.ai/source/api/sources/{name}/ \
--cookie sessionid=import requests
url = "https://api-prod.voltai.ai/source/api/sources/{name}/"
headers = {"cookie": "sessionid="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'sessionid='}};
fetch('https://api-prod.voltai.ai/source/api/sources/{name}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"topics": [
"<string>"
],
"display_name": "<string>",
"type": "CODE",
"status": "WAITING_FOR_APPROVAL",
"retrieval_disabled": true,
"link": "<string>"
}Sources
Get Source
Get a specific source by name (e.g., ‘document.pdf’)
GET
/
sources
/
{name}
/
Get Source
Authorizations
cookieAuthApiKeyAuth
Path Parameters
Pattern:
^[^/]+$Query Parameters
Organization name (required for multi-tenant API keys)
Response
200 - application/json
Serializer for the public API - excludes internal job/tagging fields.
Maximum string length:
256Maximum string length:
256CODE- CodeTEXT- TextWEBSITE- WebsiteJIRA- JiraPART- PartPINOUT- PinoutHANDBOOK- HandbookARTICLE- ArticleVIDEO- VideoCACHE- CacheREPOSITORY- RepositoryHTML- HTMLMARKDOWN- MarkdownCSV- CSV
Available options:
CODE, TEXT, WEBSITE, JIRA, PART, PINOUT, HANDBOOK, ARTICLE, VIDEO, CACHE, REPOSITORY, HTML, MARKDOWN, CSV WAITING_FOR_APPROVAL- Waiting for ApprovalTRAINING- TrainingACTIVE- ActiveREJECTED- RejectedERROR- Error
Available options:
WAITING_FOR_APPROVAL, TRAINING, ACTIVE, REJECTED, ERROR Maximum string length:
2048